# Conditional build:
%bcond_with	verbose		# verbose build (V=1)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel	1
%define		pname	r8168
Summary:	Linux driver for RTL8111/8168B PCI Express Gigabit Ethernet controllers
Summary(pl.UTF-8):	Linuksowy sterownik dla kart sieciowych RTL8111/8168B PCI Express Gigabit Ethernet
Name:		%{pname}%{_alt_kernel}
Version:	8.053.00
Release:	%{rel}%{?_pld_builder:@%{_kernel_ver_str}}
License:	GPL
Group:		Base/Kernel
URL:		http://www.realtek.com.tw/
# Check for new versions at
# https://www.realtek.com/Download/List?cate_id=584
# unfortunately this download is not DF-friendly.
Source0:	%{pname}-%{version}.tar.bz2
# Source0-md5:	6323d3ed1b01bf2e78b4a235c6eae4db
Patch0:		kernel-6.9.patch
BuildRequires:	rpmbuild(macros) >= 1.701
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRoot:	%{tmpdir}/%{pname}-%{version}-root-%(id -u -n)

%description
Driver (Linux kernel module) for RTL8111/8168B PCI Express Gigabit
Ethernet controllers.

%description -l pl.UTF-8
Sterownik (moduł jądra Linuksa) dla kart sieciowych RTL8111/8168B PCI
Express Gigabit Ethernet.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-net-r8168\
Summary:	Linux kernel module for RTL8111/8168B PCI Express Gigabit Ethernet controllers\
Summary(pl.UTF-8):	Moduł jądra Linuksa dla kart sieciowych RTL8111/8168B PCI Express Gigabit Ethernet\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-net-r8168\
Driver (Linux kernel module) for RTL8111/8168B PCI Express Gigabit\
Ethernet controllers.\
\
%description -n kernel%{_alt_kernel}-net-r8168 -l pl.UTF-8\
Sterownik (moduł jądra Linuksa) dla kart sieciowych RTL8111/8168B PCI\
Express Gigabit Ethernet.\
\
%files -n kernel%{_alt_kernel}-net-r8168\
%defattr(644,root,root,755)\
%doc README\
/lib/modules/%{_kernel_ver}/kernel/drivers/net/*.ko*\
\
%post	-n kernel%{_alt_kernel}-net-r8168\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-net-r8168\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%build_kernel_modules -m r8168 -C src KERNELRELEASE=%{_kernel_ver}\
%install_kernel_modules -D installed -m src/r8168 -d kernel/drivers/net\
%{nil}

%{expand:%create_kernel_packages}

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Wed Oct 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/r8168.git;a=log;h=auto/th/r8168-8.053.00-1

* Tue May 28 2024 Jan Rękorajski <baggins@pld-linux.org> 9ca469b
- fix building with kernel 6.9

* Sun May 19 2024 Jan Rękorajski <baggins@pld-linux.org> d8c6054
- up to 8.053.00, still needs fixing for kernel 6.9

* Mon Mar 18 2024 Jan Rękorajski <baggins@pld-linux.org> 1ea29f1
- rel 2

* Sun Mar 17 2024 Jan Rękorajski <baggins@pld-linux.org> 164f22e
- update str(l|s)cpy udage

* Sun Dec 24 2023 Jan Rękorajski <baggins@pld-linux.org> 97a3c89
- up to 8.052.01

* Wed Sep 06 2023 Jan Rękorajski <baggins@pld-linux.org> 7021aab
- up to 8.051.02

* Sun Dec 18 2022 Jan Rękorajski <baggins@pld-linux.org> c46cc68
- rel 4

* Sat Dec 17 2022 Jan Rękorajski <baggins@pld-linux.org> 8cae434
- fix building with kernel 6.1

* Sat Aug 13 2022 Jan Rękorajski <baggins@pld-linux.org> b550b8c
- fix building with kernel 5.19, rel 3

* Wed May 25 2022 Jan Rękorajski <baggins@pld-linux.org> 035738b
- Release 2 (by relup.sh)

* Wed May 25 2022 Jan Rękorajski <baggins@pld-linux.org> 1f71d8b
- fix building kernel modules for 5.18

* Sat Apr 02 2022 Jan Rękorajski <baggins@pld-linux.org> 1466d4a
- up to 8.049.02

* Sat Feb 06 2021 Jan Rękorajski <baggins@pld-linux.org> a838d1b
- fix building with kernel 4.9.256
- rel 2

* Sat Apr 04 2020 Jan Rękorajski <baggins@pld-linux.org> 9550209
- up to 8.048.02

* Sat Nov 30 2019 Jan Rękorajski <baggins@pld-linux.org> 8f8e711
- up to 8.047.05
- fix building with kernel 5.4

* Tue May 07 2019 Jan Rękorajski <baggins@pld-linux.org> c9239e7
- up to 8.047.01

* Mon Jan 29 2018 Jan Rękorajski <baggins@pld-linux.org> 0eb3783
- up to 8.045.08
- kernel 4.15 patch from Aurox

* Wed May 10 2017 Jan Rękorajski <baggins@pld-linux.org> fe36121
- fix building with kernel 4.11
- rel 2

* Mon Aug 01 2016 Jan Rękorajski <baggins@pld-linux.org> 3084e9e
- fix building with linux 4.7

* Mon Aug 01 2016 Jan Rękorajski <baggins@pld-linux.org> 9b865d5
- up to 8.042

